<?php
/*
Plugin Name: SPI OptinSkin Package
Plugin URI: http://www.smartpassiveincome.com/
Description: Smart Passive Income OptinSkin Expansion Pack is to be used in conjunction with the OptinSkin Premium Plugin. <a href="http://intheleed1.optinskin.hop.clickbank.net">Click Here to Purchase OptinSkin</a>.
Version: 2.0
Author: Smart Passive Income
Author URI: http://www.smartpassiveincome.com
*/

register_activation_hook( __FILE__, 'spi_ois_activation' );

function spi_ois_activation() {

	// Make sure that OptinSkin is installed
	if (function_exists('ois_make_skin')) {
		$all_designs = get_option('ois_designs');

		if (!empty($all_designs)) {
			$num_designs = count($all_designs);
			$id = (1 + $num_designs);
			
			$social_buttons = new ois_social();
			
			// These are the designs:
			$spi_1 = array (
				'title' => 'Smart Passive Income 1',
				'description' => '',
				'date_added' => date('Y-m-d H:i:s'),
				'last_modified' => date('Y-m-d H:i:s'),
				'css' => '',
				'css_url' => WP_PLUGIN_URL . '/spi_ois_package/css/spi_1.css',
				'id' => $id,
				'custom' => 'no',
				'optin_settings' => array (
					'enable_name' => 'yes',
					'placeholders' => array (
						'name' => 'First Name',
						'email' => 'Email',
					),
					'labels' => array (
						//'email' => 'Your Email',
					),
					'button_value' => '\'',
					'force_break' => 'no',
					'maintain_line' => 'yes',
				),
				'social_media' => array (
					'facebook', 'twitter', 'gplus',
				),
				'html' => '
				<div class="ois_spi_1 container-fluid" >
					<div class="ois_spi_1_e_arrow_wrapper" style="display:%show-arrows%!important;">
						<span class="arrow-e" style="line-height: 0 !important;border-left-color: %border-color% !important;"></span>
					</div>
				<div class="ois_spi_1_share row-fluid" style="border-color:%border-color%!important;background-color: #fff !important;">
					<div class="span11 offset1">
						<div class="span4">' . $social_buttons->ois_fbLike() . '</div>
						<div class="span4">' . $social_buttons->ois_retweet() . '</div>
						<div class="span4">' . $social_buttons->ois_gplus() . '</div>
					</div>
				</div>
				<div class="ois_outer_spi_1" style="' . ois_vertical_gradient('%background-top-gradient%', '%background-bottom-gradient%') . 'border-color:%border-color%!important;">
				</div>
				<div class="ois_inner_spi_1" style="border-color:%border-color%!important;background-color:#fff !important;">
					<div class="ois_spi_info_table row-fluid">
						<div class="span8">
							<div class="ois_spi_1_title" style="padding-top:%space-above-title% !important;padding-bottom:%space-below-title% !important;">%title-text%</div>
							<div class="ois_spi_1_subtext">%subtext-content%</div>
						</div>
						<div class="span4">
							<img class="ois_spi_product_1" style="margin-top:-50px!important;height:181px;" src="%product-image%" />
						</div>
					</div>
					%optin_form%
						<div style="clear:both;"></div>
				</div>
			</div>',
				'appearance' => array (
					'text' => array (
						'Background Top Gradient' => array (
							'attr' => 'background-top-gradient',
							'default' => '#cce77d',
							'type' => 'color',
						),
						'Background Bottom Gradient' => array (
							'attr' => 'background-bottom-gradient',
							'default' => '#c9e574',
							'type' => 'color',
						),
						'Border Color' => array (
							'attr' => 'border-color',
							'default' => '#8fb127',
							'type' => 'color',
						),
						'Title Text' => array (
							'attr' => 'title-text',
							'default' => 'Like what you read?',
							'text-width' => '300px',
						),
						'Subtext Content' => array (
							'attr' => 'subtext-content',
							'default' => 'If so, please join over 25,000 people who receive exclusive weekly online business and blogging tips, and get a FREE COPY of my eBook, eBooks the Smart Way! Just enter your name and email below:',
							'type' => 'textarea',
							'height' => '50px',
							'width' => '350px',
						),
						'Product Image URL (height: 181px)' => array (
							'attr' => 'product-image',
							'default' => WP_PLUGIN_URL . '/spi_ois_package/images/spi_ebook.png',
							'text-width' => '340px',
						),
						'Button Text' => array(
							'attr' => 'button-text',
							'default' => 'Free Instant Access >',
							'text-width' => '200px',
						),
						'Space Above Title' => array (
							'attr' => 'space-above-title',
							'default' => '10px',
						),
						'Space Below Title' => array (
							'attr' => 'space-below-title',
							'default' => '15px',
						),
						'Show Arrows' => array (
							'attr' => 'show-arrows',
							'default' => 'block',
							'values' => array (
								'Show Arrows' => 'block',
								'Hide Arrows' => 'none',
							),
							'type' => 'dropdown',
						),
						'Email Placeholder' => ois_email_placeholder('Your Email Address'),
						'Name Placeholder' => ois_name_placeholder('Your Name'),
						'Button Text' => ois_button_text('Subscribe Now'),
					),
				),
			);
			$all_designs[$id] = $spi_1;
			$id++;
			$spi_2 = array (
				'title' => 'Smart Passive Income 2',
				'description' => '',
				'date_added' => date('Y-m-d H:i:s'),
				'last_modified' => date('Y-m-d H:i:s'),
				'css' => '',
				'css_url' => WP_PLUGIN_URL . '/spi_ois_package/css/spi_2.css',
				'id' => $id,
				'custom' => 'no',
				'optin_settings' => array (
					'enable_name' => 'yes',
					'placeholders' => array (
						'name' => 'First Name',
						'email' => 'Email',
					),
					'labels' => array (
						//'email' => 'Your Email',
					),
					'button_value' => '\'',
					'force_break' => 'no',
					'maintain_line' => 'yes',
				),
				'html' => '<div class="ois_spi_outer_2" style="background-color: %background-color% !important;border-color: %border-color% !important;">
				<div class="ois_spi_title_2" style="font-family: \'%text-font%\', serif !important;color: %title-color% !important;">%title%
				<img class="ois_spi_arrow_2" src="' . WP_PLUGIN_URL . '/spi_ois_package/images/spi_arrow_1.png" /></div>
				<div class="ois_spi_form_2">
					%optin_form%
				</div>
			</div>	',
				'appearance' => array (
					'text' => array (
						'Background Color' => array (
							'attr' => 'background-color',
							'default' => '#c9e472',
							'type' => 'color',
						),
						'Border Color' => array (
							'attr' => 'border-color',
							'default' => '#92b430',
							'type' => 'color',
						),
						'Title Color' => array (
							'attr' => 'title-color',
							'default' => '#000',
							'type' => 'color',
						),
						'Title Font' => array (
							'attr' => 'text-font',
							'default' => 'Asap',
							'type' => 'google_font',
						),
						'Title Text' => array (
							'attr' => 'title',
							'default' => 'Enter Your Name and Email Below and Click',
							'text-width' => '350px,',
						),
						'Button Text' => array (
							'attr' => 'button-text',
							'default' => 'Subscribe',
						),
						'Email Placeholder' => ois_email_placeholder('Your Email Address'),
						'Name Placeholder' => ois_name_placeholder('Your Name'),
						'Button Text' => ois_button_text('Subscribe Now'),
					),
				),
			);
			$all_designs[$id] = $spi_2;
			$id++;
			$spi_3 = array (
				'title' => 'Smart Passive Income 3',
				'description' => '',
				'date_added' => date('Y-m-d H:i:s'),
				'last_modified' => date('Y-m-d H:i:s'),
				'css' => '',
				'css_url' => WP_PLUGIN_URL . '/spi_ois_package/css/spi_3.css',
				'id' => $id,
				'custom' => 'no',
				'optin_settings' => array (
					'enable_name' => 'yes',
					'placeholders' => array (
						'name' => 'First Name',
						'email' => 'Email',
					),
					'labels' => array (
						//'email' => 'Your Email',
					),
					'button_value' => '\'',
					'force_break' => 'yes',
					'maintain_line' => 'no',
				),

				'html' => 
'<div class="ois_spi_outer_3 container-fluid" style="background-color: %background-color% !important;border: 3px solid %border-color% !important;max-width:270px;width: expression(this.width > 270 ? 270: true);">
	<div class="ois_spi_title_3" style="color: %title-color% !important;">%title-text%</div>
	<div class="ois_spi_inner_3">
		<img src="%product-url%" class="ois_spi_product_3" style="float:right!important;margin-top:-80px!important;margin-right:-50px!important;" />
	<div class="ois_spi_item_3" style="color: %high-color% !important;">
		<img src="' . WP_PLUGIN_URL . '/spi_ois_package/images/spi_arrow_3.png" class="ois_spi_bullet" />%high-one%
	</div>
	<div class="ois_spi_item_3" style="color: %high-color% !important;">
		<img src="' . WP_PLUGIN_URL . '/spi_ois_package/images/spi_arrow_3.png" class="ois_spi_bullet" />%high-two%
	</div>
	<div class="ois_spi_item_3" style="color: %high-color% !important;">
		<img src="' . WP_PLUGIN_URL . '/spi_ois_package/images/spi_arrow_3.png" class="ois_spi_bullet" />%high-three%</div>
		<div class="ois_spi_subtext_3" style="color: %subtext-color% !important;">%subtext-content%</div>
	</div>
	<div class="ois_spi_form_3">%optin_form%</div>
	<div style="clear:both;"></div>
</div>',
				'appearance' => array (
					'text' => array (
						'Background Color' => array (
							'attr' => 'background-color',
							'default' => '#c9e472',
							'type' => 'color',
						),
						'Border Color' => array (
							'attr' => 'border-color',
							'default' => '#92b430',
							'type' => 'color',
						),
						'Title Color' => array (
							'attr' => 'title-color',
							'default' => '#000',
							'type' => 'color',
						),
						'Highlights Color' => array (
							'attr' => 'high-color',
							'default' => '#000',
							'type' => 'color',
						),
						'Subtext Color' => array (
							'attr' => 'subtext-color',
							'default' => '#000',
							'type' => 'color',
						),
						'Title Text' => array (
							'attr' => 'title-text',
							'default' => 'Pats Free Guide',
							'text-width' => '280px',
						),
						'Highlight #1' => array (
							'attr' => 'high-one',
							'default' => 'Highlight #1',
							'text-width' => '280px',
						),
						'Highlight #2' => array (
							'attr' => 'high-two',
							'default' => 'Highlight #2',
							'text-width' => '280px',
						),
						'Highlight #3' => array (
							'attr' => 'high-three',
							'default' => 'Highlight #3',
							'text-width' => '280px',
						),
						'Subtext Content' => array (
							'attr' => 'subtext-content',
							'default' => 'Enter your name and email below to get INSTANT ACCESS to my free guide, eBooks the Smart Way!',
							'type' => 'textarea',
							'height' => '60px',
							'width' => '280px',
						),
						'Product Image URL' => array (
							'attr' => 'product-url',
							'default' => WP_PLUGIN_URL . '/spi_ois_package/images/spi_ebook_3.png',
							'text-width' => '350px',
						),
						'Button Text' => array (
							'attr' => 'button-text',
							'default' => 'FREE INSTANT ACCESS &raquo;',
							'text-width' => '250px',
						),
						'Email Placeholder' => ois_email_placeholder('Your Email Address'),
						'Name Placeholder' => ois_name_placeholder('Your Name'),
						'Button Text' => ois_button_text('Subscribe Now'),
					),
				),
			);
			$all_designs[$id] = $spi_3;
			$id++;
			$spi_4 = array (
				'title' => 'Smart Passive Income 4',
				'description' => '',
				'date_added' => date('Y-m-d H:i:s'),
				'last_modified' => date('Y-m-d H:i:s'),
				'css' => '',
				'css_url' => WP_PLUGIN_URL . '/spi_ois_package/css/spi_4.css',
				'id' => $id,
				'custom' => 'no',
				'optin_settings' => array (
					'enable_name' => 'yes',
					'placeholders' => array (
						'name' => 'Your Name',
						'email' => 'Your Email',
					),
					'labels' => array (
						//'email' => 'Your Email',
					),
					'button_value' => '\'',
					'force_break' => 'yes',
					'maintain_line' => 'yes',
				),
				'html' => 
'<div class="ois_spi_bg_4" style="max-width:575px;width: expression(this.width > 575 ? 575: true);background-image:url(\'' . WP_PLUGIN_URL . '/spi_ois_package/images/spi_outer_4.png\');">
	<div class="ois_spi_outer_4">
		<div class="ois_spi_title_4" style="font-family: \'%title-font%\', serif !important;background-image: url(\'' . WP_PLUGIN_URL . '/spi_ois_package/images/spi_ribbon_4.png\');">%title-text%</div>
		<div class="ois_spi_inner_4 row-fluid">
			<div class="span7">
				<div class="ois_spi_subtext_4">%subtext-content%</div>
				<div class="ois_spi_item_4" style="color: %high-color% !important;">
					<img src="' . WP_PLUGIN_URL . '/spi_ois_package/images/spi_bullet_4.png" class="ois_spi_bullet_4" />%bullet-1%</div>
				<div class="ois_spi_item_4" style="color: %high-color% !important;">
					<img src="' . WP_PLUGIN_URL . '/spi_ois_package/images/spi_bullet_4.png" class="ois_spi_bullet_4" />%bullet-2%</div>
				<div class="ois_spi_item_4" style="color: %high-color% !important;">
					<img src="' . WP_PLUGIN_URL . '/spi_ois_package/images/spi_bullet_4.png" class="ois_spi_bullet_4" />%bullet-3%</div>
			</div>
			<div class="span5">
				<img src="%product-url%" class="spi_product_4" />
			</div>
		</div>
		<div class="ois_spi_bottom_4" style="background-color: %bottom-color% !important;">
			<div class="ois_form_text_4" style="color:%bottom-text-color% !important;">%bottom-text%</div>
				%optin_form%
		</div>
	</div>
</div>',
				'appearance' => array (
					'text' => array (
						'Bottom Area Color' => array (
							'attr' => 'bottom-color',
							'default' => '#cae574',
							'type' => 'color',
						),
						'Bottom Text Color' => array (
							'attr' => 'bottom-text-colo',
							'default' => '#333',
							'type' => 'color',
						),
						'Title Text' => array (
							'attr' => 'title-text',
							'default' => 'Like what you read? Check this out!',
							'text-width' => '275px'
						),
						'Title Font' => array (
							'attr' => 'title-font',
							'default' => 'Asap',
							'type' => 'google_font',
						),
						'Subtext Content' => array (
							'attr' => 'subtext-content',
							'default' => 'Download my FREE guide that will help you publish, market and automate an eBook. You\'ll learn...',
							'type' => 'textarea',
							'height' => '60px',
							'width' => '280px',
						),
						'Bottom Area Text' => array (
							'attr' => 'bottom-text',
							'default' => 'Enter your name and email below to get Instant Access!',
							'text-width' => '285px',
						),
						'Bullet Point 1' => array (
							'attr' => 'bullet-1',
							'default' => 'Bullet #1',
							'text-width' => '300px',
						),
						'Bullet Point 2' => array (
							'attr' => 'bullet-2',
							'default' => 'Bullet #2',
							'text-width' => '300px',
						),
						'Bullet Point 3' => array (
							'attr' => 'bullet-3',
							'default' => 'Bullet #3',
							'text-width' => '300px',
						),
						'Product Image URL (575px by 511px)' => array (
							'attr' => 'product-url',
							'default' => WP_PLUGIN_URL . '/spi_ois_package/images/spi_product_4.png',
							'text-width' => '375px',
						),
						'Button Text' => array (
							'attr' => 'button-text',
							'default' => 'Yes! Give me instant access!',
							'text-width' => '250px',
						),
						'Email Placeholder' => ois_email_placeholder('Your Email Address'),
						'Name Placeholder' => ois_name_placeholder('Your Name'),
						'Button Text' => ois_button_text('Subscribe Now'),

					),
				),
			);

			$all_designs[$id] = $spi_4;
			$id++;
			$spi_5 = array (
				'title' => 'Smart Passive Income 5',
				'description' => '',
				'date_added' => date('Y-m-d H:i:s'),
				'last_modified' => date('Y-m-d H:i:s'),
				'css' => '',
				'css_url' => WP_PLUGIN_URL . '/spi_ois_package/css/spi_5.css',
				'id' => $id,
				'custom' => 'no',
				'optin_settings' => '',
				'html' => '<div class="ois_spi_outer_5 container-fluid" style="background-color: %background-color% !important; border: 2px solid %border-color% !important;max-width:575px;width: expression(this.width > 575 ? 575: true);">
					<div class="ois_spi_title_5">%title%</div>
					<div class="ois_spi_subtext_5">%subtitle%</div>

					<div class="ois_spi_list_5">
						<div class="ois_spi_item_5">
							<img src="' . WP_PLUGIN_URL . '/spi_ois_package/images/spi_arrow_5.png" class="ois_spi_bullet_5" />%bullet-1%
						</div>
						<div class="ois_spi_item_5">
							<img src="' . WP_PLUGIN_URL . '/spi_ois_package/images/spi_arrow_5.png" class="ois_spi_bullet_5" />%bullet-2%
						</div>
						<div class="ois_spi_item_5">
							<img src="' . WP_PLUGIN_URL . '/spi_ois_package/images/spi_arrow_5.png" class="ois_spi_bullet_5" />%bullet-3%
						</div>
					</div>
					<div class="ois_spi_inner_5" style="background-image: url(\'' . WP_PLUGIN_URL . '/spi_ois_package/images/spi_add_5.png\') !important;">

						<div class="ois_spi_scratch_5">%original-price%</div>
						<div class="ois_spi_sale_5">%sale-price%</div>
						<img src="' . WP_PLUGIN_URL . '/spi_ois_package/images/spi_pointer_5.png" class="ois_spi_pointer_5" />
						<a href="%add-link%" class="ois_spi_link_5"></a>
						<img src="%product-url%" class="ois_spi_product_5" />
						<div class="ois_spi_note_5" >%fine-print%</div>
					</div>
					<div style="clear:both;"></div>
				</div>',
				'appearance' => array (
					'text' => array (
						'Background Color' => array (
							'attr' => 'background-color',
							'default' => '#cae574',
							'type' => 'color',
						),
						'Border Color' => array (
							'attr' => 'border-color',
							'default' => '#8fb127',
							'type' => 'color',
						),
						'Title' => array (
							'attr' => 'title',
							'default' => 'Headline for Product',
							'text-width' => '275px',
						),
						'Subtitle' => array (
							'attr' => 'subtitle',
							'default' => 'Subheadline for Product',
							'text-width' => '275px',
						),
						'Bullet 1' => array (
							'attr' => 'bullet-1',
							'default' => 'Bullet Point #1',
							'text-width' => '275px',
						),
						'Bullet 2' => array (
							'attr' => 'bullet-2',
							'default' => 'Bullet Point #2',
							'text-width' => '275px',
						),
						'Bullet 3' => array (
							'attr' => 'bullet-3',
							'default' => 'Bullet Point #3',
							'text-width' => '275px',
						),
						'Add to Cart Link' => array (
							'attr' => 'add-link',
							'default' => home_url(),
							'text-width' => '300px',
						),
						'Regular Price' => array (
							'attr' => 'original-price',
							'default' => 'Regular Price: $97',
							'text-width' => '275px',
						),
						'Sale Price' => array (
							'attr' => 'sale-price',
							'default' => 'On Sale for $47*',
							'text-width' => '275px',
						),
						'Fine Print' => array (
							'attr' => 'fine-print',
							'default' => '*For a limited time only!',
							'text-width' => '275px',
						),
						'Product Image Url (156px by 209px)' => array (
							'attr' => 'product-url',
							'default' => WP_PLUGIN_URL . '/spi_ois_package/images/spi_product_5.png',
							'text-width' => '350px',
						),
					),
				),
			);
			$all_designs[$id] = $spi_5;

			// Just update the designs and we're done!
			update_option('ois_designs', $all_designs);

		}
	}
}
?>